<template>
	<view class="app">
		<u-tabs :list="tabList" :current="tabcurrent" @change="change" active-color='#26A888'></u-tabs>
		<view class="Healthknowledge" v-if="informationCategoryVOList">
			<!-- <view class="title">
				健康常识
			</view> -->
			<view class="list">
				<view class="item" v-for="(item,index) in informationCategoryVOList" :key="index"
					@tap='gohealthitem(item)'>
					<view class="text">
						{{item.informationTitle}}
					</view>
					<view class="author"></view>
					<image :src="item.leadThumbnailUrl" mode=""></image>
				</view>
			</view>
		</view>
		<view class="noorder" v-else>
			<u-empty mode="data" icon-size='220' text='暂无内容'></u-empty>
		</view>
		<u-back-top :scroll-top="scrollTop"></u-back-top>
	</view>
</template>

<script>
	import {
		getHeathHousingList
	} from '@/api/pagesB/Healthknowledge/index.js'
	import baseurl from '@/api/baseurl.js'
	export default {
		data() {
			return {
				tabcurrent: 0,
				tabList: [{
					name: '健康常识'
				}],
				pageNum: 1,
				pageSize: 10,
				informationCategoryVOList: null,
				total: 0,
				scrollTop: 0,
			};
		},
		onShow() {},
		onLoad() {
			this.pageNum = 1
			this.getHeathHousing();
		},
		methods: {
			//跳转item
			gohealthitem(item) {
				uni.navigateTo({
					url: `/pagesB/Healthitem/Healthitem?item=${encodeURIComponent(JSON.stringify(item))}`
				})
			},
			getHeathHousing() {
				getHeathHousingList(this.pageNum, this.pageSize).then(res => {
					if (res.rows.length > 0) {
						res.rows.forEach(e => {
							e.leadThumbnailUrl = baseurl + e.leadThumbnailUrl
						})
						this.informationCategoryVOList = res.rows
					}
					this.total = res.total
				})
			},
			change() {},
		},
		onPageScroll(e) {
			this.scrollTop = e.scrollTop;
		},
		onReachBottom() { //下滑加载
			if (this.informationCategoryVOList.length >= this.total) {} else {
				this.pageNum++
				getHeathHousingList(this.pageNum, this.pageSize).then(res => {
					if (res.rows) {
						res.rows.forEach(e => {
							e.leadThumbnailUrl = baseurl + e.leadThumbnailUrl
							this.informationCategoryVOList.push(e)
						})
					}
				})
			}
		},
		onPullDownRefresh() { //下拉刷新
			this.pageNum = 1;
			this.getHeathHousing();
			setTimeout(function() {
				uni.stopPullDownRefresh();
			}, 1000);
		},
		//1.分享给朋友
		onShareAppMessage(res) {
			let pages = getCurrentPages();
			let url = pages[pages.length - 1].$page.fullPath
			return {
				title: '新医路健康服务平台',
				path: url,
			}
		},
		//2.分享到朋友圈
		onShareTimeline(res) {
			let pages = getCurrentPages();
			let url = pages[pages.length - 1].$page.fullPath
			return {
				title: '新医路健康服务平台',
				path: url,
			}
		},
	}
</script>

<style lang="scss">
	.app {
		padding: 0;

		.noorder {
			margin-top: 20%;
		}

		.Healthknowledge {
			width: 94%;
			margin: 20rpx auto;
			padding: 0 30rpx 50rpx;
			background-color: #fff;
			position: relative;
			line-height: 46rpx;

			.list {
				width: 100%;
				margin: 20rpx auto 0;

				.item {
					width: 100%;
					height: 250rpx;
					position: relative;
					border-bottom: 2rpx solid #CDC9C9;

					image {
						position: absolute;
						right: 0;
						top: 50%;
						transform: translateY(-50%);
						width: 200rpx;
						height: 200rpx;
						border-radius: 10rpx;
					}

					.author {
						position: absolute;
						bottom: 20rpx;
						left: 0;
						font-size: 20rpx;
						color: #969494;
					}

					.text {
						position: absolute;
						top: 20rpx;
						left: 0;
						width: 60%;
						font-size: 30rpx;
						text-overflow: -o-ellipsis-lastline;
						overflow: hidden;
						text-overflow: ellipsis;
						display: -webkit-box;
						-webkit-line-clamp: 5; //行数需设置
						line-clamp: 5;
						-webkit-box-orient: vertical;
						text-align: justify;
					}
				}
			}

			.title {
				font-size: 38rpx;
				font-weight: bold;
			}
		}
	}
</style>